package com.wartbar.util

class HtmlToolbox {

  public static String standardHeader(String title) {
    String header = '<!DOCTYPE html>\n' +
          '<html lang="en">' +
          '<head>\n' +
          '<title>' + title + '</title>' +
          '<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>' +
          '<link rel="stylesheet" type="text/css" href="format.css">\n' +
          '<link rel="alternate" type="application/rss+xml" title="RSS" href="http://www.wartbar.de/rss.xml">\n' +
          '</head>\n' +
          '<header>\n' +
          '<br>\n' +
          '<br>\n' +
          '<h1>' + title + '</h1>\n' +
          '<br>\n' +
          '<a href="menu.html"><img src="pic/menu.jpg" alt="Menu" width="50"></a>' +
          '<br>\n' +
          '<br>\n' +
          '<br>\n' +
          '</header>\n'

    return header
  }

  public static String simpleHeader(String title) {
    String header = '<!DOCTYPE html>\n' +
            '<html lang="en">' +
            '<head>\n' +
            '<title>' + title + '</title>' +
            '<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>' +
            '<link rel="stylesheet" type="text/css" href="format.css">\n' +
            '<link rel="alternate" type="application/rss+xml" title="RSS" href="http://www.wartbar.de/rss.xml">\n' +
            '</head>\n'

    return header
  }
}

